<!--
{
  "documentType" : "article",
  "framework" : "AppStoreConnectAPI",
  "identifier" : "/documentation/AppStoreConnectAPI/apps",
  "metadataVersion" : "0.1.0",
  "role" : "collectionGroup",
  "title" : "Apps"
}
-->

# Apps

Manage your apps in App Store Connect.

## Discussion

An `apps` resource represents your app that’s currently in development, or available on the App Store through the App Store Connect website. Use the `apps` resource to manage and maintain your existing apps.

Don’t use this API to create new apps; instead, create new apps on the App Store Connect website. To upload builds to App Store Connect, you must use Xcode, Transporter, or the Transporter Mac app. This API doesn’t permit you to directly upload your builds, but you may use App Store Connect API Keys in conjunction with Transporter to upload. To download the Transporter app, see the [Mac App Store](https://apps.apple.com/us/app/transporter/id1450874784?mt=12).

To learn more about managing your apps, see [Add a new app](https://developer.apple.com/help/app-store-connect/create-an-app-record/add-a-new-app).

## Topics

### Getting and modifying app information

[`List apps`](/documentation/AppStoreConnectAPI/GET-v1-apps)

Find and list apps in App Store Connect.

[`Read app information`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_)

Get information about a specific app.

[`Modify an app`](/documentation/AppStoreConnectAPI/PATCH-v1-apps-_id_)

Update app information, including bundle ID, primary locale, price schedule, and global availability.

[`Read an app’s encryption declarations`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-appEncryptionDeclarations)

Find and list all available app encryption declarations.

[`Read an app’s encryption declaration ids`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-appEncryptionDeclarations)

Find and list all available app encryption declaration IDs for a specific app.

### Getting app build and prerelease version information

[`List all builds of an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-builds)

Get a list of builds associated with a specific app.

[`List build IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-builds)

[`List all prerelease versions for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-preReleaseVersions)

Get a list of prerelease versions associated with a specific app.

[`List prerelease version IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-preReleaseVersions)

### Getting App Clip information

[`List all app clips for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-appClips)

List your app’s associated App Clips.

[`List App Clip IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-appClips)

### Getting beta tester information for TestFlight

[`List all beta groups for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-betaGroups)

Get a list of beta groups associated with a specific app.

[`List beta group IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-betaGroups)

[`Remove specified beta testers from all groups and builds of an app`](/documentation/AppStoreConnectAPI/DELETE-v1-apps-_id_-relationships-betaTesters)

Remove one or more beta testers’ access to test any builds of a specific app.

### Getting an app’s TestFlight details

[`Read the beta app review details resource of an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-betaAppReviewDetail)

Get the beta app review details for a specific app.

[`Get the beta app review detail ID for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-betaAppReviewDetail)

[`Get the beta app review detail ID for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-betaAppReviewDetail)

[`Read the beta license agreement of an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-betaLicenseAgreement)

Get the beta license agreement for a specific app.

[`Get the beta license agreement ID for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-betaLicenseAgreement)

[`List all beta app localizations of an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-betaAppLocalizations)

Get a list of localized beta test information for a specific app.

[`List beta app localization IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-betaAppLocalizations)

### Getting an app’s Xcode Cloud products

[`Read the xcode cloud product for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-ciProduct)

Get the Xcode Cloud product information for an app you build with Xcode Cloud.

[`Get the CI product ID for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-ciProduct)

### Getting an app’s price points

[`List All Price Points for an App`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-appPricePoints)

Get all the available price points for a specific app.

[`List app price point IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-appPricePoints)

[`Read App Price Point Information`](/documentation/AppStoreConnectAPI/GET-v3-appPricePoints-_id_)

Get details about a specific app price point.

[`List App Price Point Equalizations`](/documentation/AppStoreConnectAPI/GET-v3-appPricePoints-_id_-equalizations)

List all equivalent app prices points to a base price point.

[`List equalization price point IDs for an app price point`](/documentation/AppStoreConnectAPI/GET-v3-appPricePoints-_id_-relationships-equalizations)

Get a list of equalization price point IDs for a specific app price point.

### Getting App Store details for your app

[`List all app infos for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-appInfos)

Get information about an app that is currently live on App Store, or that goes live with the next version.

[`List app info IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-appInfos)

[`List all app store versions for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-appStoreVersions)

Get a list of all App Store versions of an app across all platforms.

[`List App Store version IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-appStoreVersions)

[`Read the end user license agreement information of an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-endUserLicenseAgreement)

Get the custom end user license agreement (EULA) for a specific app and the territories where the agreement applies.

[`Get the end user license agreement ID for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-endUserLicenseAgreement)

[`List All Custom Product Pages for an App`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-appCustomProductPages)

Get a list of all custom product pages for a specific app.

[`Get all custom product page resource ids for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-appCustomProductPages)

Get a list of custom product page resource IDs associated with an app.

[`List all app store experiments for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-appStoreVersionExperimentsV2)

Get a list of all App Store version experiments for a specific app.

[`List App Store version experiment IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-appStoreVersionExperimentsV2)

### Getting in-app purchase information

[`Read in-app purchase information`](/documentation/AppStoreConnectAPI/GET-v1-inAppPurchases-_id_)

Get information about an in-app purchase.

[`List all promoted purchases for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-promotedPurchases)

Get a list of promoted in-app purchases, including promoted auto-renewable subscriptions, for an app.

[`List all in-app purchases for an app v1`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-inAppPurchases)

List the in-app purchases that are available for your app.

### Getting review submissions

[`Get Review Submissions for an App`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-reviewSubmissions)

Get a list of review submissions associated with a specific app.

[`List review submission IDs`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-reviewSubmissions)

Get the list of review submission IDs for a specific app.

### Getting power and performance metrics

[`Get power and performance metrics for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-perfPowerMetrics)

Get the performance and power metrics data for the most recent version of an app.

### Getting customer reviews

[`List all customer reviews for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-customerReviews)

Get a list of customer reviews for a specific app.

[`List customer review IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-customerReviews)

[`Read Customer Review Summarizations`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-customerReviewSummarizations)

Get the customer review summarization for a specific app.

### Getting and managing an app’s price schedules

[`Read Price Schedule Information for an App`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-appPriceSchedule)

Read price schedule details for a specific app.

[`Get the app price schedule ID for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-appPriceSchedule)

[`Read an App's Price Schedule Information`](/documentation/AppStoreConnectAPI/GET-v1-appPriceSchedules-_id_)

List the price schedule details for a specific app.

[`List Automatically Generated Prices for an App`](/documentation/AppStoreConnectAPI/GET-v1-appPriceSchedules-_id_-automaticPrices)

List the automatically calculated prices for an app generated from a base territory.

[`Read the Base Territory for an App's Price Schedule`](/documentation/AppStoreConnectAPI/GET-v1-appPriceSchedules-_id_-baseTerritory)

Read the base territory and currency for a specific app.

[`List Manually Chosen Prices for an App`](/documentation/AppStoreConnectAPI/GET-v1-appPriceSchedules-_id_-manualPrices)

List the prices you chose for a specific app.

[`List automatic price IDs for an app price schedule`](/documentation/AppStoreConnectAPI/GET-v1-appPriceSchedules-_id_-relationships-automaticPrices)

[`Get the base territory ID for an app price schedule`](/documentation/AppStoreConnectAPI/GET-v1-appPriceSchedules-_id_-relationships-baseTerritory)

[`List manual price IDs for an app price schedule`](/documentation/AppStoreConnectAPI/GET-v1-appPriceSchedules-_id_-relationships-manualPrices)

[`Add a Scheduled Price Change to an App`](/documentation/AppStoreConnectAPI/POST-v1-appPriceSchedules)

Create a scheduled price change for an app.

### Getting and managing an app’s availability

[`List Availability for an App`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-appAvailabilityV2)

The data structure that represents a get-v1-apps-{id}-app availability v2 resource.

[`Get the app availability ID for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-appAvailabilityV2)

### Getting beta tester metrics

[`Read Beta Tester Metrics for an App`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-metrics-betaTesterUsages)

Get usage metrics for beta testers of a specific app.

### Getting app event information

[`List all in-app events for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-appEvents)

Get a list of in-app events for a specific app.

[`List app event IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-appEvents)

### Getting subscription group and subscription grace period information

[`Read the billing grace period value for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-subscriptionGracePeriod)

Get the Boolean value that represents the grace period opt-in state for your app.

[`List all subscription groups for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-subscriptionGroups)

Get a list of subscription groups for a specific app.

[`Get the subscription grace period ID for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-subscriptionGracePeriod)

[`List subscription group IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-subscriptionGroups)

### Getting in-app purchase information

[`List all in-app purchases for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-inAppPurchasesV2)

Get a list of the in-app purchases for a specific app.

[`GET /v1/apps/{id}/relationships/inAppPurchasesV2`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-inAppPurchasesV2)

[`List all in-app purchases for an app v1`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-inAppPurchases)

List the in-app purchases that are available for your app.

[`List in-app purchases ids for an app v1`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-inAppPurchases)

Get a list of all in-app purchases IDs for a specific app V1.

### Getting beta feedback

[`List All Beta Feedback Crash Submissions for an App`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-betaFeedbackCrashSubmissions)

Get the beta feedback crash submissions for a specific app.

[`List All Beta Feedback Screenshot Submissions for an App`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-betaFeedbackScreenshotSubmissions)

Get beta feedback screenshot submissions for a specific app.

### Getting background asset information

[`List all background assets for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-backgroundAssets)

Get information about the Apple-hosted background assets for a specific app.

[`List the assets packs ids for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-backgroundAssets)

Get a list of the Apple hosted background asset IDs for a specific app.

[`Modify a Background Asset`](/documentation/AppStoreConnectAPI/PATCH-v1-backgroundAssets-_id_)

Update a specific background asset.

### Getting alternative distribution information

[`Read an App’s Alternative Distribution Key`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-alternativeDistributionKey)

Get the alternative distribution keys for a specific app.

[`Get the alternative distribution key ID for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-alternativeDistributionKey)

[`Read the marketplace search detail url`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-marketplaceSearchDetail)

Get search detail URL for the alternative marketplace.

[`Get the marketplace search detail ID for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-marketplaceSearchDetail)

### Getting accessibility declaration information

[`List All Accessibility Declarations for an App`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-accessibilityDeclarations)

Get a list of the accessibility declarations for a specific app.

[`List accessibility declaration IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-accessibilityDeclarations)

### Getting analytics report request information

[`Read Report Requests`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-analyticsReportRequests)

Read analytics report requests for a specific app.

[`List analytics report request IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-analyticsReportRequests)

### Getting webhook information

[`Read Webhook Information for an App`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-webhooks)

Read webhook configuration details for a specific app.

[`List webhook IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-webhooks)

### Search keywords

[`List search keyword IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-searchKeywords)

Get a list of search keyword IDs for a specific app.

[`List all search keywords for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-searchKeywords)

Get search keywords for a specific app.

### Getting Game Center detail information

[`Read the state of game center for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-gameCenterDetail)

Get Game Center detail information for an app.

[`Get the Game Center detail ID for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-gameCenterDetail)

[`List Game Center-enabled version IDs for an app`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-gameCenterEnabledVersions)

### Getting Android to iOS app mapping information

[`Read the Android to iOS App Mapping Details for an App`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-androidToIosAppMappingDetails)

Get details about the Android to iOS app mapping for a specific app.

[`List the IDs of Android to iOS App Mapping Details for an App`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-androidToIosAppMappingDetails)

Get the IDs of Android to iOS app mapping details for a specific app.

### Objects and data types

[`App`](/documentation/AppStoreConnectAPI/App)

An app registered in App Store Connect, representing all versions, metadata, and configuration for your iOS, macOS, tvOS, or watchOS application.

[`AppWithoutIncludesResponse`](/documentation/AppStoreConnectAPI/AppWithoutIncludesResponse)

A response containing a single app, without including related resources.

[`AppsWithoutIncludesResponse`](/documentation/AppStoreConnectAPI/AppsWithoutIncludesResponse)

A response containing a list of apps, without including related resources.

[`AppUpdateRequest`](/documentation/AppStoreConnectAPI/AppUpdateRequest)

The request body you use to update an App Update.

[`AppClipsResponse`](/documentation/AppStoreConnectAPI/AppClipsResponse)

The response body for endpoints that list App Clips for an app.

[`AppResponse`](/documentation/AppStoreConnectAPI/AppResponse)

The response body for endpoints that read or modify a single app in your team.

[`AppsResponse`](/documentation/AppStoreConnectAPI/AppsResponse)

A response containing a list of apps registered in your App Store Connect team.

[`InAppPurchase`](/documentation/AppStoreConnectAPI/InAppPurchase)

A one-time purchasable item available in an app, such as a consumable, non-consumable, or non-renewing subscription.

[`InAppPurchaseResponse`](/documentation/AppStoreConnectAPI/InAppPurchaseResponse)

The response body for endpoints that read a single in-app purchase.

[`InAppPurchasesResponse`](/documentation/AppStoreConnectAPI/InAppPurchasesResponse)

The response body for endpoints that list in-app purchases for an app.

[`AppBetaTestersLinkagesRequest`](/documentation/AppStoreConnectAPI/AppBetaTestersLinkagesRequest)

A request body you use to remove beta testers from an app.

[`AppPricePointV3`](/documentation/AppStoreConnectAPI/AppPricePointV3)

A specific price tier in App Store pricing, defining the customer price and developer proceeds across territories.

[`AppPricePointV3Response`](/documentation/AppStoreConnectAPI/AppPricePointV3Response)

A response containing a single App Store price point with its territory-specific pricing details.

[`AppPricePointsV3Response`](/documentation/AppStoreConnectAPI/AppPricePointsV3Response)

A response containing a list of available App Store price points.

[`AppPriceSchedule`](/documentation/AppStoreConnectAPI/AppPriceSchedule)

The pricing schedule for an app, specifying base territory prices, manual prices for other territories, and scheduled price changes.

[`AppPriceScheduleCreateRequest`](/documentation/AppStoreConnectAPI/AppPriceScheduleCreateRequest)

The request body you use to create an app price schedule.

[`AppPriceScheduleResponse`](/documentation/AppStoreConnectAPI/AppPriceScheduleResponse)

A response containing a single app pricing schedule with its territory configurations.

[`AppPriceV2`](/documentation/AppStoreConnectAPI/AppPriceV2)

A price configured for an app in a specific App Store territory under the v2 pricing model.

[`AppPriceV2InlineCreate`](/documentation/AppStoreConnectAPI/AppPriceV2InlineCreate)

An inline object for specifying a territory-specific price when creating or updating an app price schedule.

[`AppPricesV2Response`](/documentation/AppStoreConnectAPI/AppPricesV2Response)

A response containing a list of territory-specific app prices.

[`TerritoryInlineCreate`](/documentation/AppStoreConnectAPI/TerritoryInlineCreate)

An inline object for specifying a territory reference within a parent create or update request.

[`Platform`](/documentation/AppStoreConnectAPI/Platform)

Strings that represent Apple operating systems.

[`SubscriptionStatusUrlVersion`](/documentation/AppStoreConnectAPI/SubscriptionStatusUrlVersion)

Strings that represent versions of App Store Server Notifications.

[`App.Relationships.InAppPurchases`](/documentation/AppStoreConnectAPI/App/Relationships-data.dictionary/InAppPurchases-data.dictionary)

The data and links that describe the relationship between the resources.

[`AppAlternativeDistributionKeyLinkageResponse`](/documentation/AppStoreConnectAPI/AppAlternativeDistributionKeyLinkageResponse)

[`AppWebhooksLinkagesResponse`](/documentation/AppStoreConnectAPI/AppWebhooksLinkagesResponse)

[`AppAppClipsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppAppClipsLinkagesResponse)

[`AppAppCustomProductPagesLinkagesResponse`](/documentation/AppStoreConnectAPI/AppAppCustomProductPagesLinkagesResponse)

[`AppAppEncryptionDeclarationsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppAppEncryptionDeclarationsLinkagesResponse)

[`AppAppEventsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppAppEventsLinkagesResponse)

[`AppAppInfosLinkagesResponse`](/documentation/AppStoreConnectAPI/AppAppInfosLinkagesResponse)

[`AppAppPricePointsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppAppPricePointsLinkagesResponse)

[`AppAppPriceScheduleLinkageResponse`](/documentation/AppStoreConnectAPI/AppAppPriceScheduleLinkageResponse)

[`AppAppStoreVersionExperimentsV2LinkagesResponse`](/documentation/AppStoreConnectAPI/AppAppStoreVersionExperimentsV2LinkagesResponse)

[`AppAppStoreVersionsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppAppStoreVersionsLinkagesResponse)

[`AppAvailabilityV2TerritoryAvailabilitiesLinkagesResponse`](/documentation/AppStoreConnectAPI/AppAvailabilityV2TerritoryAvailabilitiesLinkagesResponse)

[`AppBackgroundAssetsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppBackgroundAssetsLinkagesResponse)

A response containing the resource identifiers of background asset versions linked to an app.

[`BackgroundAssetUpdateRequest`](/documentation/AppStoreConnectAPI/BackgroundAssetUpdateRequest)

The request body you use to update a background asset.

[`AppBetaAppLocalizationsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppBetaAppLocalizationsLinkagesResponse)

[`AppBetaAppReviewDetailLinkageResponse`](/documentation/AppStoreConnectAPI/AppBetaAppReviewDetailLinkageResponse)

[`AppBetaFeedbackCrashSubmissionsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppBetaFeedbackCrashSubmissionsLinkagesResponse)

[`AppBetaFeedbackScreenshotSubmissionsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppBetaFeedbackScreenshotSubmissionsLinkagesResponse)

[`AppBetaGroupsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppBetaGroupsLinkagesResponse)

[`AppBetaLicenseAgreementLinkageResponse`](/documentation/AppStoreConnectAPI/AppBetaLicenseAgreementLinkageResponse)

[`AppBuildsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppBuildsLinkagesResponse)

[`AppCategoryParentLinkageResponse`](/documentation/AppStoreConnectAPI/AppCategoryParentLinkageResponse)

[`AppCategorySubcategoriesLinkagesResponse`](/documentation/AppStoreConnectAPI/AppCategorySubcategoriesLinkagesResponse)

[`AppCiProductLinkageResponse`](/documentation/AppStoreConnectAPI/AppCiProductLinkageResponse)

[`AppCustomProductPageAppCustomProductPageVersionsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppCustomProductPageAppCustomProductPageVersionsLinkagesResponse)

A response containing the resource identifiers of versions for a custom App Store product page.

[`AppEndUserLicenseAgreementLinkageResponse`](/documentation/AppStoreConnectAPI/AppEndUserLicenseAgreementLinkageResponse)

[`AppGameCenterDetailLinkageResponse`](/documentation/AppStoreConnectAPI/AppGameCenterDetailLinkageResponse)

[`AppGameCenterEnabledVersionsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppGameCenterEnabledVersionsLinkagesResponse)

[`AppInAppPurchasesLinkagesResponse`](/documentation/AppStoreConnectAPI/AppInAppPurchasesLinkagesResponse)

[`AppInAppPurchasesV2LinkagesResponse`](/documentation/AppStoreConnectAPI/AppInAppPurchasesV2LinkagesResponse)

[`AppInfoAgeRatingDeclarationLinkageResponse`](/documentation/AppStoreConnectAPI/AppInfoAgeRatingDeclarationLinkageResponse)

[`AppInfoAppInfoLocalizationsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppInfoAppInfoLocalizationsLinkagesResponse)

[`AppInfoPrimaryCategoryLinkageResponse`](/documentation/AppStoreConnectAPI/AppInfoPrimaryCategoryLinkageResponse)

[`AppInfoPrimarySubcategoryOneLinkageResponse`](/documentation/AppStoreConnectAPI/AppInfoPrimarySubcategoryOneLinkageResponse)

[`AppInfoPrimarySubcategoryTwoLinkageResponse`](/documentation/AppStoreConnectAPI/AppInfoPrimarySubcategoryTwoLinkageResponse)

[`AppInfoSecondaryCategoryLinkageResponse`](/documentation/AppStoreConnectAPI/AppInfoSecondaryCategoryLinkageResponse)

[`AppInfoSecondarySubcategoryOneLinkageResponse`](/documentation/AppStoreConnectAPI/AppInfoSecondarySubcategoryOneLinkageResponse)

[`AppInfoSecondarySubcategoryTwoLinkageResponse`](/documentation/AppStoreConnectAPI/AppInfoSecondarySubcategoryTwoLinkageResponse)

[`AppMarketplaceSearchDetailLinkageResponse`](/documentation/AppStoreConnectAPI/AppMarketplaceSearchDetailLinkageResponse)

[`AppPerfPowerMetricsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppPerfPowerMetricsLinkagesResponse)

[`AppPreReleaseVersionsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppPreReleaseVersionsLinkagesResponse)

[`AppPricePointV3EqualizationsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppPricePointV3EqualizationsLinkagesResponse)

[`AppPriceScheduleAutomaticPricesLinkagesResponse`](/documentation/AppStoreConnectAPI/AppPriceScheduleAutomaticPricesLinkagesResponse)

[`AppPriceScheduleBaseTerritoryLinkageResponse`](/documentation/AppStoreConnectAPI/AppPriceScheduleBaseTerritoryLinkageResponse)

[`AppPriceScheduleManualPricesLinkagesResponse`](/documentation/AppStoreConnectAPI/AppPriceScheduleManualPricesLinkagesResponse)

[`AppReviewSubmissionsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppReviewSubmissionsLinkagesResponse)

A response containing the resource identifiers of review submissions associated with an app.

[`AppSearchKeywordsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppSearchKeywordsLinkagesResponse)

A response containing the resource identifiers of search keywords associated with an app.

[`OfferCodeEnvironment`](/documentation/AppStoreConnectAPI/OfferCodeEnvironment)

A string that represents the environment of an offer code.

[`TerritoryCode`](/documentation/AppStoreConnectAPI/TerritoryCode)

The App Store territory codes.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)